Bug 1049399 - Need way to delete Red Hat repositories from Library
Summary: Need way to delete Red Hat repositories from Library
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On: 1124109
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 14:32 UTC by Mike McCune
Modified: 2014-09-11 12:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
For the Beta, content can not be removed from the Library. This will be supported at GA time.
Clone Of:
Environment:
Last Closed: 2014-09-11 12:29:37 UTC


Attachments (Terms of Use)

Description Mike McCune 2014-01-07 14:32:34 UTC
1) Upload manifest

2) Enable any Red Hat repository

3) Sync it and don't promote it.

At the point after steps 1->3 there is no way to actually remove this repository from the Library.

- The UI offers no way to create a deletion changeset in the library

- The CLI blocks deletions from the Library with a confusing error message:

# katello -u admin -p admin repo delete --id=67
Repository cannot be deleted since it has already been promoted. Using a changeset, please delete the repository from existing environments before deleting it.

we need to be able to properly delete Red Hat content that is no longer used

Comment 2 Justin Sherrill 2014-07-11 17:28:59 UTC
We currently Provide a way to delete repos from library if they have not been published in a content view.  To do so, simply go to the "Red Hat repositories" page and 'disable' the repo in question.  Is that sufficient?

Comment 3 Mike McCune 2014-07-29 01:57:43 UTC
I was going to say this is acceptable but I can't really test it until this is fixed:

https://bugzilla.redhat.com/show_bug.cgi?id=1124109

I want to test if you can delete the repo after all CVs using the repo are deleted.

Comment 4 Justin Sherrill 2014-08-11 17:42:31 UTC
Moving to ON_QA

Comment 5 Corey Welton 2014-08-12 19:29:01 UTC

Marking this as verified, but found a different issue when user (perhaps erroneously) tries to remove RH content via bulk actions.

https://bugzilla.redhat.com/show_bug.cgi?id=1129448

Verified in Satellite-6.0.4-RHEL-6-20140806.0

Comment 7 Bryan Kearney 2014-09-11 12:29:37 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.